### Hierarchy

- LayoutVertex
  - LayeredDigraphVertex

This holds LayeredDigraphLayout-specific information about Nodes.

This class inherits from LayoutVertex.

## Index

### Properties

- column
- component
- index
- layer
- near

## Properties

### column : number

- Gets or sets the column to which the node is assigned. The default value is -1.

### component : number

- Gets or sets the connected component to which the node is assigned. The default value is NaN.

### index : number

- Gets or sets the index to which the node is assigned. The default value is -1.

### layer : number

- Gets or sets the layer to which the node is assigned. The default value is -1.

### near : LayeredDigraphVertex

- Gets or sets another LayeredDigraphVertex in the same layer that this node should be near. The default value is null.

Copyright © 1998-2020 by Northwoods Software Corporation.